> ## Documentation Index
> Fetch the complete documentation index at: https://docs.refmatter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Discover customer-visible source support and limits



## OpenAPI

````yaml /api-reference/openapi.json get /v1/source-routes
openapi: 3.1.0
info:
  title: Refmatter API
  version: 0.1.0
  description: >-
    Reference memory for AI creative agents. Every operation carries
    x-implementation-status; only implemented operations are availability
    claims.
servers:
  - url: https://api.refmatter.com
security:
  - bearerApiKey: []
  - sessionCookie: []
tags:
  - name: auth
  - name: workspaces
  - name: ingestions
  - name: references
  - name: media
  - name: sourceRoutes
paths:
  /v1/source-routes:
    get:
      tags:
        - sourceRoutes
      summary: Discover customer-visible source support and limits
      operationId: sourceRoutesList
      responses:
        '200':
          description: Safe source route capabilities
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceRouteList'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '403':
          description: Action not permitted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '409':
          description: Revision or idempotency conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '422':
          description: Request cannot be fulfilled by the current source contract
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '503':
          description: Route or dependency unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
      security:
        - bearerApiKey: []
        - sessionCookie: []
components:
  schemas:
    SourceRouteList:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        routes:
          type: array
          items:
            type: object
            properties:
              displayName:
                type: string
                minLength: 1
                maxLength: 80
              supportedObjectKinds:
                minItems: 1
                maxItems: 8
                type: array
                items:
                  type: string
                  enum:
                    - video
              recognizedInputForms:
                minItems: 1
                maxItems: 8
                type: array
                items:
                  type: string
                  enum:
                    - youtube_watch_url
                    - youtube_short_url
                    - youtube_shorts_url
                    - tiktok_video_url
              unsupportedCases:
                minItems: 1
                maxItems: 16
                type: array
                items:
                  type: string
                  enum:
                    - playlist_only
                    - live_stream
                    - private_content
                    - members_only
                    - purchased_content
                    - login_required
                    - drm_protected
              capabilities:
                type: object
                properties:
                  metadata:
                    type: boolean
                    const: true
                  mediaPreservation:
                    type: boolean
                    const: true
                  verifiedVideo:
                    type: boolean
                    const: true
                  poster:
                    type: boolean
                    const: true
                  audioRequired:
                    type: boolean
                    const: true
                required:
                  - metadata
                  - mediaPreservation
                  - verifiedVideo
                  - poster
                  - audioRequired
                additionalProperties: false
              limits:
                type: object
                properties:
                  maximumBytes:
                    type: integer
                    exclusiveMinimum: 0
                    maximum: 9007199254740991
                  maximumDurationMs:
                    type: integer
                    exclusiveMinimum: 0
                    maximum: 9007199254740991
                  maximumVideoHeight:
                    type: integer
                    exclusiveMinimum: 0
                    maximum: 9007199254740991
                  publicContentOnly:
                    type: boolean
                    const: true
                required:
                  - maximumBytes
                  - maximumDurationMs
                  - maximumVideoHeight
                  - publicContentOnly
                additionalProperties: false
              id:
                type: string
                pattern: >-
                  ^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
              platform:
                type: string
                enum:
                  - youtube
                  - tiktok
              contractVersion:
                type: string
                minLength: 1
                maxLength: 32
              state:
                type: string
                enum:
                  - experimental
                  - preview
                  - supported
                  - degraded
                  - disabled
              safeReason:
                anyOf:
                  - type: string
                    minLength: 1
                    maxLength: 160
                  - type: 'null'
              updatedAt:
                type: string
                pattern: >-
                  ^\d{4}-(0[1-9]|1[0-2])-([0-2]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:[01]\d|2[0-3]):[0-5]\d)$
            required:
              - displayName
              - supportedObjectKinds
              - recognizedInputForms
              - unsupportedCases
              - capabilities
              - limits
              - id
              - platform
              - contractVersion
              - state
              - safeReason
              - updatedAt
            additionalProperties: false
      required:
        - routes
      additionalProperties: false
    ErrorEnvelope:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - invalid_input
                - unauthenticated
                - invalid_credential
                - credential_conflict
                - forbidden
                - policy_blocked
                - route_disabled
                - route_degraded
                - not_found
                - bootstrap_conflict
                - last_owner_conflict
                - revision_conflict
                - idempotency_conflict
                - unavailable_private
                - unavailable_restricted
                - unavailable_removed
                - unsupported_object
                - unsupported_media
                - limit_exceeded
                - rate_limited
                - source_changed
                - network_timeout
                - network_transport
                - media_invalid
                - storage_unavailable
                - retry_exhausted
                - internal_error
            message:
              type: string
              minLength: 1
              maxLength: 240
            retryable:
              type: boolean
            requestId:
              type: string
              minLength: 8
              maxLength: 128
              pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]*$
            details:
              type: object
              propertyNames:
                type: string
              additionalProperties:
                type:
                  - string
                  - number
                  - boolean
          required:
            - code
            - message
            - retryable
            - requestId
            - details
          additionalProperties: false
      required:
        - error
      additionalProperties: false
  securitySchemes:
    bearerApiKey:
      type: http
      scheme: bearer
    sessionCookie:
      type: apiKey
      in: cookie
      name: social_session

````